Upgrade apache + php WampServer 2.2
Posted by: vanboxen (---.as25273.net)
Date: October 02, 2019 01:31PM

Hi,

We are running WampServer 2.2 on Windows Server 2008 R2 DC.

Is it possible to upgrade just apache and php?

Otherwise, if I didn't get it wrong, Do we need to upgrade to 2.5 and then to the latest one before we can use different versions of apache and php?

Thanks,
Andres.

Options: ReplyQuote
Re: Upgrade apache + php WampServer 2.2
Posted by: RiggsFolly (Moderator)
Date: October 02, 2019 02:29PM

Hi,

You are correct there is no simple upgrade path from 2.2 to 3.

However, there is also no point installing 2.5 as there is no simple upgrade from 2.2 to 2.5 either. Instead, install WAMPServer 3.1.9 directly, and then using the ADDONS install the versions of Apache/PHP/MySQL that you want to use.

Then its a simple job of copying your site code, or better still creating a Virtual Host to point to your site and restore the database(s) you may be using.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.1.8 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.16>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: Upgrade apache + php WampServer 2.2
Posted by: vanboxen (---.as25273.net)
Date: October 02, 2019 02:50PM

Hi,

Thanks for your quick response.

So, basically I will need to go thought the full process.

Backup everything
Stop services and WampManager
Install new version
Check that everything is ok (green icon)
Install PHP and Apache that I need
Copy over my www/ folder and croos my fingers

Is that correct?

Thanks,
Andres.

Options: ReplyQuote
Re: Upgrade apache + php WampServer 2.2
Posted by: Otomatic (Moderator)
Date: October 02, 2019 02:55PM

Hi,

> Windows Server 2008 R2 DC.
Version number 6.0, therefore of type Vista.
On this system, which has not been supported for some time, you will not be able to install the latest VC++ packages, i. e. the recent Apache or PHP versions.

In my humble opinion, subject to confirmation, you are limited to Apache 2.4.23 VC10 and PHP 5.6.40 VC11 (?)
You will not be able to use PHP 7 which starts with VC14
Wampserver 3.1.9 cannot be installed under Vista or similar.

You can manually install Apache 2.4.23 by downloading it from Apachelounge, for example
[www.apachelounge.com]
as well as a version of PHP 5.6.40 downloaded from the PHP archives:
[windows.php.net]
taking care not to take an nts version.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.10/7.2.23/7.1.32/7.0.33/5.6.40 - MySQL 5.7.28 - MariaDB 10.4.8
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.10/7.2.23/7.1.32/7.0.33/5.6.40 - MySQL 5.7.28/8.0.18 - MariaDB 10.4.8
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Upgrade apache + php WampServer 2.2
Posted by: vanboxen (---.as25273.net)
Date: October 02, 2019 03:26PM

That makes a lot of sense!

Thanks a lot for your support.

Have a nice day,
Andres.

Options: ReplyQuote


Sorry, only registered users may post in this forum.